<h1 mat-dialog-title>
	<span fxFlex="" fxLayoutAlign="start center"> Добавление пакета приказов о зачислении </span>
	<button mat-icon-button [mat-dialog-close]="">
		<mat-icon svgIcon="close"></mat-icon>
	</button>
</h1>
<div mat-dialog-content>

	<form [formGroup]="form">
		<div>
			<mat-form-field fxFlex="" appearance="fill">
				<mat-label>Наименование пакета</mat-label>
				<input matInput formControlName="name" [appDisableControl]="isLoad" required>
				<button mat-icon-button matSuffix aria-label="Clear"
					(click)="form.get('name').setValue(null)">
					<mat-icon matSuffix svgIcon="close" ></mat-icon>
				</button>
			</mat-form-field>
		</div>

		<div class="my-16">
			<h4> Файл пакета </h4>
			<div class="mat-caption"> Приложите файл в формате *.xml </div>
		</div>

		<div>
			<app-file-upload
				fxFlex=""
				formControlName="file"
				fileAccept=".xml"
				[appDisableControl]="isLoad">
			</app-file-upload>
		</div>

	</form>





</div>
<div mat-dialog-actions align="end">
	<button mat-button  color="primary" [mat-dialog-close]="" > Отмена  </button>

	<button mat-flat-button  color="primary" (click)="save()" [disabled]="form.invalid || isLoad" > Сохранить  </button>
</div>


